## ros-indigo-rosbridge-server 0.7.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbridge_server)

find_package(catkin REQUIRED COMPONENTS rosbridge_library rosapi rospy)

catkin_python_setup()

catkin_package()

install(PROGRAMS
  scripts/rosbridge_websocket.py
  scripts/rosbridge_websocket
  scripts/rosbridge_tcp.py
  scripts/rosbridge_tcp
  scripts/rosbridge_udp
  scripts/rosbridge_udp.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  launch/rosbridge_websocket.launch
  launch/rosbridge_tcp.launch
  launch/rosbridge_udp.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-rosbridge-server (0.7.16-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 14 Aug 2016 22:00:00 -0000

ros-indigo-rosbridge-server (0.7.15-0trusty) trusty; urgency=high

  * Track Twisted run_depend
    Fixes #218 <https://github.com/RobotWebTools/rosbridge_suite/issues/218>
  * Add rosbridge_udp cmake install rule #225 <https://github.com/RobotWebTools/rosbridge_suite/issues/225>
  * Stop UDP server on ROS shutdown
  * changelog updated
  * Track Twisted run_depend
    Fixes #218 <https://github.com/RobotWebTools/rosbridge_suite/issues/218>
  * Contributors: Jihoon Lee, Matt Vollrath, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Sun, 24 Apr 2016 22:00:00 -0000

ros-indigo-rosbridge-server (0.7.14-0trusty) trusty; urgency=high

  * Abort websocket server listen() retry on shutdown
    This allows the server to shut down via SIGINT or SIGTERM during its listen() retry loop.
  * rospy.get_param instead of get_param
  * actually use those parameters
  * remove reference to retry_startup_delay from rosbridge_udp.launch
  * clean up parameters and handling
    * make parameters accessible via parameter server for all three versions
    * remove old advertise_service parameters
    * UDP and TCP can't do SSL
    * TCP can't authenticate yet (because the RosbridgeTcpSocket class is instantiated for each request and hence does not hold state)
    * UDP does not take a hostname or address, but rather an interface
  * Allow TCP Server to reuse address after restart
    After killing (Ctrl-C) a rosbridge_tcp server instance which has
    connected clients, starting a new instance (on the same port) can
    fail with the error: '[Errno 98] Address already in use'. Although the
    node retries until the server starts, this can take up to a few minutes.
    Instruct the ThreadingTCPServer to allow the reuse of the same address.
  * Adding UDP
  * Contributors: Matt Vollrath, Nils Berg, Victor Savu, XuHao, xuhao1

 -- Russell Toris <rctoris@wpi.edu>  Wed, 10 Feb 2016 23:00:00 -0000

ros-indigo-rosbridge-server (0.7.13-0trusty) trusty; urgency=high

  * Add bson encoding to the server side
  * Add default strings for certfile and keyfile
    This allows downstream packages with roslaunch_add_file_check tests to pass.
  * Fix whitespace in RosbridgeTcpHandler
  * Modularize RosbridgeTcpSocket
  * Modularize RosbridgeWebSocket
  * add shutdown handling to rosbridge_tcp and make rosbridge_websocket more robust
  * Removed space from empty line.
    Thanks @T045T
  * Stop IOLoop on shutdown.
  * Contributors: Benny, David Lu, Matt Vollrath, Nils Berg, Paul Bovbel

 -- Russell Toris <rctoris@wpi.edu>  Thu, 13 Aug 2015 22:00:00 -0000

ros-indigo-rosbridge-server (0.7.12-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 06 Apr 2015 22:00:00 -0000

ros-indigo-rosbridge-server (0.7.11-0trusty) trusty; urgency=high

  * rename rosapi script to rosapi_node to address #170 <https://github.com/RobotWebTools/rosbridge_suite/issues/170>
  * Enabled TCP nodelay in Websocket handler
  * Contributors: Jihoon Lee, Sebastien Mamessier

 -- Russell Toris <rctoris@wpi.edu>  Sun, 22 Mar 2015 23:00:00 -0000

ros-indigo-rosbridge-server (0.7.10-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Feb 2015 23:00:00 -0000

ros-indigo-rosbridge-server (0.7.9-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 23 Feb 2015 23:00:00 -0000

ros-indigo-rosbridge-server (0.7.8-0trusty) trusty; urgency=high

  * Fix path to Tornado speedup extension source
  * Build Tornado speedups
    Fixes #135 <https://github.com/RobotWebTools/rosbridge_suite/issues/135>
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Thu, 15 Jan 2015 23:00:00 -0000

ros-indigo-rosbridge-server (0.7.7-0trusty) trusty; urgency=high

  * remove rosbridge_tools from dependency #163 <https://github.com/RobotWebTools/rosbridge_suite/issues/163>
  * reverting back the changes
  * Contributors: Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Mon, 05 Jan 2015 23:00:00 -0000

ros-indigo-rosbridge-server (0.7.6-0trusty) trusty; urgency=high

  * 0.7.5
  * update changelog
  * Function in robridge_tools for importing tornado
  * Revert "reverts back to internal tornado until fix is ready"
    This reverts commit 49eeb1d97da154213d3170c95169b5677b329d07.
  * 0.7.4
  * changelog updated
  * reverts back to internal tornado until fix is ready
  * 0.7.3
  * changelog updated
  * 0.7.2
  * changelog updated
  * use alias to import rosbridge_tool tornado
  * move modules under rosbridge_tools
  * 0.7.1
  * update changelog
  * Merge pull request #147 from RobotWebTools/migrate_third_parties
    separate tornado and backports from rosbridge_server
  * seprate out third party library and ros related script
  * remove setup.py
  * add rosbridge_tools as rosbridge_server dependency
  * remove python-imaging dependency. it is used in rosbridge_library
  * 0.7.0
  * changelog updated
  * Contributors: Jihoon Lee, Jon Binney, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 25 Dec 2014 23:00:00 -0000

ros-indigo-rosbridge-server (0.7.5-0trusty) trusty; urgency=high

  * Function in robridge_tools for importing tornado
  * Revert "reverts back to internal tornado until fix is ready"
    This reverts commit 49eeb1d97da154213d3170c95169b5677b329d07.
  * Contributors: Jon Binney

 -- Russell Toris <rctoris@wpi.edu>  Thu, 25 Dec 2014 23:00:00 -0000

ros-indigo-rosbridge-server (0.7.4-0trusty) trusty; urgency=high

  * reverts back to internal tornado until fix is ready
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 15 Dec 2014 23:00:00 -0000

ros-indigo-rosbridge-server (0.7.3-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-rosbridge-server (0.7.2-0trusty) trusty; urgency=high

  * use alias to import rosbridge_tool tornado


=== debian/control ===
Source: ros-indigo-rosbridge-server
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rosapi, ros-indigo-rosbridge-library, ros-indigo-rospy
Homepage: http://ros.org/wiki/rosbridge_server
Standards-Version: 3.9.2

Package: ros-indigo-rosbridge-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-twisted-core, ros-indigo-rosapi, ros-indigo-rosauth, ros-indigo-rosbridge-library, ros-indigo-rospy
Description: A WebSocket interface to rosbridge.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rosbridge-server//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
